Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » eclipse 4.15 don't run on macbookair version mac os x 10.9.5 with java 14.0.1(eclipse 4.15 don't run on macbookair version mac os x 10.9.5 with java 14.0.1)
eclipse 4.15 don't run on macbookair version mac os x 10.9.5 with java 14.0.1 [message #1827126] Thu, 07 May 2020 17:48 Go to next message
vincent cieslak is currently offline vincent cieslakFriend
Messages: 1
Registered: May 2020
Junior Member
Hi

I don't to run the eclipse on macbookair version mac os x 10.9.5
Can you help me to diagnostic the problem ?

Thanks

Good evening

MacBook-Air-de-aboubiz:Eclipse aboubiz$ cat /Applications/Eclipse.app/Contents/Eclipse/configuration/1588873153674.log
!SESSION 2020-05-07 19:39:13.293 -----------------------------------------------
eclipse.buildId=4.15.0.I20200305-0155
java.version=14.0.1
java.vendor=Oracle Corporation
BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=fr_FR
Framework arguments: -product org.eclipse.epp.package.jee.product -keyring /Users/aboubiz/.eclipse_keyring
Command-line arguments: -os macosx -ws cocoa -arch x86_64 -product org.eclipse.epp.package.jee.product -keyring /Users/aboubiz/.eclipse_keyring

!ENTRY org.eclipse.osgi 4 0 2020-05-07 19:39:16.339
!MESSAGE Application error
!STACK 1
org.eclipse.swt.SWTError: Not implemented
at org.eclipse.swt.SWT.error(SWT.java:4749)
at org.eclipse.swt.SWT.error(SWT.java:4638)
at org.eclipse.swt.SWT.error(SWT.java:4609)
at org.eclipse.swt.widgets.Display.error(Display.java:1105)
at org.eclipse.swt.widgets.Display.createDisplay(Display.java:846)
at org.eclipse.swt.widgets.Display.create(Display.java:837)
at org.eclipse.swt.graphics.Device.<init>(Device.java:132)
at org.eclipse.swt.widgets.Display.<init>(Display.java:736)
at org.eclipse.swt.widgets.Display.<init>(Display.java:727)
at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:776)
at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:166)
at org.eclipse.ui.internal.ide.application.IDEApplication.createDisplay(IDEApplication.java:180)
at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:123)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:203)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:137)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:107)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:401)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:255)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.base/java.lang.reflect.Method.invoke(Method.java:564)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:657)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:594)
at org.eclipse.equinox.launcher.Main.run(Main.java:1447)

!ENTRY org.eclipse.oomph.p2.core 4 0 2020-05-07 19:39:16.529
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Exception in org.eclipse.oomph.p2.internal.core.P2CorePlugin$Implementation.stop() of bundle org.eclipse.oomph.p2.core.
at org.eclipse.osgi.internal.framework.BundleContextImpl.stop(BundleContextImpl.java:919)
at org.eclipse.osgi.internal.framework.EquinoxBundle.stopWorker0(EquinoxBundle.java:1029)
at org.eclipse.osgi.internal.framework.EquinoxBundle$EquinoxModule.stopWorker(EquinoxBundle.java:370)
at org.eclipse.osgi.container.Module.doStop(Module.java:658)
at org.eclipse.osgi.container.Module.stop(Module.java:520)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.decStartLevel(ModuleContainer.java:1885)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1760)
at org.eclipse.osgi.container.SystemModule.stopWorker(SystemModule.java:275)
at org.eclipse.osgi.internal.framework.EquinoxBundle$SystemBundle$EquinoxSystemModule.stopWorker(EquinoxBundle.java:202)
at org.eclipse.osgi.container.Module.doStop(Module.java:658)
at org.eclipse.osgi.container.Module.stop(Module.java:520)
at org.eclipse.osgi.container.SystemModule.stop(SystemModule.java:207)
at org.eclipse.osgi.internal.framework.EquinoxBundle$SystemBundle$EquinoxSystemModule$1.run(EquinoxBundle.java:220)
at java.base/java.lang.Thread.run(Thread.java:832)
Caused by: java.lang.ExceptionInInitializerError
at org.eclipse.oomph.p2.internal.core.AgentImpl.initializeProvisioningAgent(AgentImpl.java:569)
at org.eclipse.oomph.p2.internal.core.AgentImpl.getProvisioningAgent(AgentImpl.java:665)
at org.eclipse.oomph.p2.internal.core.AgentImpl.getProfileRegistry(AgentImpl.java:320)
at org.eclipse.oomph.p2.internal.core.AgentImpl$1.initializeFirstTime(AgentImpl.java:139)
at org.eclipse.oomph.p2.internal.core.PersistentMap.load(PersistentMap.java:111)
at org.eclipse.oomph.p2.internal.core.AgentImpl.<init>(AgentImpl.java:186)
at org.eclipse.oomph.p2.internal.core.AgentManagerImpl$1.createElement(AgentManagerImpl.java:91)
at org.eclipse.oomph.p2.internal.core.AgentManagerImpl$1.createElement(AgentManagerImpl.java:1)
at org.eclipse.oomph.p2.internal.core.PersistentMap.addElement(PersistentMap.java:151)
at org.eclipse.oomph.p2.internal.core.AgentManagerImpl.addAgent(AgentManagerImpl.java:221)
at org.eclipse.oomph.p2.internal.core.AgentManagerImpl$1.initializeFirstTime(AgentManagerImpl.java:128)
at org.eclipse.oomph.p2.internal.core.AgentManagerImpl$1.initializeFirstTime(AgentManagerImpl.java:97)
at org.eclipse.oomph.p2.internal.core.PersistentMap.load(PersistentMap.java:111)
at org.eclipse.oomph.p2.internal.core.AgentManagerImpl.<init>(AgentManagerImpl.java:141)
at org.eclipse.oomph.p2.internal.core.AgentManagerImpl.<init>(AgentManagerImpl.java:63)
at org.eclipse.oomph.p2.core.P2Util.getAgentManager(P2Util.java:59)
at org.eclipse.oomph.p2.internal.core.P2CorePlugin$Implementation.stop(P2CorePlugin.java:168)
at org.eclipse.osgi.internal.framework.BundleContextImpl$4.run(BundleContextImpl.java:899)
at org.eclipse.osgi.internal.framework.BundleContextImpl$4.run(BundleContextImpl.java:1)
at java.base/java.security.AccessController.doPrivileged(AccessController.java:554)
at org.eclipse.osgi.internal.framework.BundleContextImpl.stop(BundleContextImpl.java:891)
... 13 more
Caused by: java.lang.NullPointerException
at org.eclipse.oomph.p2.internal.core.CachingRepositoryManager$Artifact.<clinit>(CachingRepositoryManager.java:546)
... 34 more
Root exception:
java.lang.ExceptionInInitializerError
at org.eclipse.oomph.p2.internal.core.AgentImpl.initializeProvisioningAgent(AgentImpl.java:569)
at org.eclipse.oomph.p2.internal.core.AgentImpl.getProvisioningAgent(AgentImpl.java:665)
at org.eclipse.oomph.p2.internal.core.AgentImpl.getProfileRegistry(AgentImpl.java:320)
at org.eclipse.oomph.p2.internal.core.AgentImpl$1.initializeFirstTime(AgentImpl.java:139)
at org.eclipse.oomph.p2.internal.core.PersistentMap.load(PersistentMap.java:111)
at org.eclipse.oomph.p2.internal.core.AgentImpl.<init>(AgentImpl.java:186)
at org.eclipse.oomph.p2.internal.core.AgentManagerImpl$1.createElement(AgentManagerImpl.java:91)
at org.eclipse.oomph.p2.internal.core.AgentManagerImpl$1.createElement(AgentManagerImpl.java:1)
at org.eclipse.oomph.p2.internal.core.PersistentMap.addElement(PersistentMap.java:151)
at org.eclipse.oomph.p2.internal.core.AgentManagerImpl.addAgent(AgentManagerImpl.java:221)
at org.eclipse.oomph.p2.internal.core.AgentManagerImpl$1.initializeFirstTime(AgentManagerImpl.java:128)
at org.eclipse.oomph.p2.internal.core.AgentManagerImpl$1.initializeFirstTime(AgentManagerImpl.java:97)
at org.eclipse.oomph.p2.internal.core.PersistentMap.load(PersistentMap.java:111)
at org.eclipse.oomph.p2.internal.core.AgentManagerImpl.<init>(AgentManagerImpl.java:141)
at org.eclipse.oomph.p2.internal.core.AgentManagerImpl.<init>(AgentManagerImpl.java:63)
at org.eclipse.oomph.p2.core.P2Util.getAgentManager(P2Util.java:59)
at org.eclipse.oomph.p2.internal.core.P2CorePlugin$Implementation.stop(P2CorePlugin.java:168)
at org.eclipse.osgi.internal.framework.BundleContextImpl$4.run(BundleContextImpl.java:899)
at org.eclipse.osgi.internal.framework.BundleContextImpl$4.run(BundleContextImpl.java:1)
at java.base/java.security.AccessController.doPrivileged(AccessController.java:554)
at org.eclipse.osgi.internal.framework.BundleContextImpl.stop(BundleContextImpl.java:891)
at org.eclipse.osgi.internal.framework.EquinoxBundle.stopWorker0(EquinoxBundle.java:1029)
at org.eclipse.osgi.internal.framework.EquinoxBundle$EquinoxModule.stopWorker(EquinoxBundle.java:370)
at org.eclipse.osgi.container.Module.doStop(Module.java:658)
at org.eclipse.osgi.container.Module.stop(Module.java:520)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.decStartLevel(ModuleContainer.java:1885)
at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1760)
at org.eclipse.osgi.container.SystemModule.stopWorker(SystemModule.java:275)
at org.eclipse.osgi.internal.framework.EquinoxBundle$SystemBundle$EquinoxSystemModule.stopWorker(EquinoxBundle.java:202)
at org.eclipse.osgi.container.Module.doStop(Module.java:658)
at org.eclipse.osgi.container.Module.stop(Module.java:520)
at org.eclipse.osgi.container.SystemModule.stop(SystemModule.java:207)
at org.eclipse.osgi.internal.framework.EquinoxBundle$SystemBundle$EquinoxSystemModule$1.run(EquinoxBundle.java:220)
at java.base/java.lang.Thread.run(Thread.java:832)
Caused by: java.lang.NullPointerException
at org.eclipse.oomph.p2.internal.core.CachingRepositoryManager$Artifact.<clinit>(CachingRepositoryManager.java:546)
... 34 more
Re: eclipse 4.15 don't run on macbookair version mac os x 10.9.5 with java 14.0.1 [message #1827140 is a reply to message #1827126] Thu, 07 May 2020 23:03 Go to previous message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3851
Registered: July 2009
Senior Member

4.15 targets macOS 10.14 and 10.15. macOS 10.9.5 is fairly old by comparison. If you can update to a supported macOS release, you should. You might also try not running it out of /Applications.

Nitin Dahyabhai
Eclipse Web Tools Platform
Previous Topic:Fresh Install: the selection cannot run on any server
Next Topic:eclipse doesn't find swt?
Goto Forum:
  


Current Time: Wed Sep 30 10:37:50 GMT 2020

Powered by FUDForum. Page generated in 0.02871 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top